Get Dataprovider

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/dataprovider
API call form
Examples
List of examples
  • Get a list of available datasets from a connection
  • OAuth provider - List datasets with only the provider name
  • PostgreSQL - Get a list of available datasets from a PostgreSQL connection
  • MongoDB - Get a list of available datasets from a MongoDB connection
Description

For OAuth-style first-party providers such as Google Analytics or Google Drive, only provider is required. The API resolves the connection from the authenticated user.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "spreadsheet-sales",
      "name": {
        "en": "Sales spreadsheet"
      }
    },
    {
      "id": "spreadsheet-inventory",
      "name": {
        "en": "Inventory spreadsheet"
      }
    }
  ]
}